﻿using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Syncfusion.Web.UI;
using Syncfusion.Web.UI.WebControls.Chart;
using Syncfusion.Windows.Forms.Chart;
using System.Drawing;
using Syncfusion.Drawing;


namespace SampleChart.VisualWebPart1
{
    public partial class VisualWebPart1UserControl : UserControl
    {
        #region Private Members
        /// <summary>
        /// Private Members used in the sample
        /// </summary>
        Color[] color1 = new Color[] { Color.FromArgb(117, 142, 172), Color.FromArgb(205, 217, 231), Color.FromArgb(117, 142, 172) };
        Color[] color2 = new Color[] { Color.FromArgb(150, 172, 90), Color.FromArgb(197, 229, 92), Color.FromArgb(150, 172, 90) };
        Color[] color3 = new Color[] { Color.FromArgb(223, 111, 39), Color.FromArgb(251, 169, 113), Color.FromArgb(223, 111, 39) };
        #endregion

        protected void Page_Load(object sender, EventArgs e)
        {
            //Creates series and associate with the Chart control
            InitializeChartData();
            //Customize the basic appearance and behaviour of Chart Control
            InitializeControlSettings();

        }

        
        #region InitializeChartData
        /// <summary>
        /// Initializes chart data
        /// </summary>
        private void InitializeChartData()
        {
            ChartSeries series = new ChartSeries();
            series.Name = "Series 1";
            series.Points.Add(0, 470);
            series.Points.Add(1, 340);
            series.Points.Add(2, 240);
            series.Points.Add(3, 440);
            series.Type = ChartSeriesType.Column;
            series.Text = series.Name;

            ChartSeries series2 = new ChartSeries();
            series2.Name = "Series 2";
            series2.Points.Add(0, 300);
            series2.Points.Add(1, 240);
            series2.Points.Add(2, 340);
            series2.Points.Add(3, 340);
            series2.Type = ChartSeriesType.Column;
            series2.Text = series2.Name;

            this.ChartWebControl1.Series.Add(series);
            this.ChartWebControl1.Series.Add(series2);

            ChartSeries series3 = new ChartSeries();
            series3.Name = "Series 3";
            series3.Points.Add(0, 250);
            series3.Points.Add(1, 280);
            series3.Points.Add(2, 200);
            series3.Points.Add(3, 230);
            series3.Type = ChartSeriesType.Column;
            series3.Text = series3.Name;

            this.ChartWebControl1.Series.Add(series3);
        }
        #endregion

        #region InitializeControlSettings
        /// <summary>
        /// Initializes control settings
        /// </summary>
        private void InitializeControlSettings()
        {

            this.ChartWebControl1.LegendPosition = ChartDock.Top;
            this.ChartWebControl1.LegendsPlacement = ChartPlacement.Outside;
            this.ChartWebControl1.Legend.Alignment = ChartAlignment.Center;
            this.ChartWebControl1.ChartArea.PrimaryXAxis.HidePartialLabels = true;

            this.ChartWebControl1.ChartInterior = new Syncfusion.Drawing.BrushInfo(Color.Transparent);
            this.ChartWebControl1.BackInterior = new Syncfusion.Drawing.BrushInfo(Color.White);
            this.ChartWebControl1.ChartArea.BackInterior = new Syncfusion.Drawing.BrushInfo(Color.White);

            this.ChartWebControl1.PrimaryXAxis.GridLineType.ForeColor = Color.DarkGray;
            this.ChartWebControl1.PrimaryYAxis.GridLineType.ForeColor = Color.DarkGray;

            this.ChartWebControl1.PrimaryXAxis.LineType.ForeColor = Color.DarkGray;
            this.ChartWebControl1.PrimaryYAxis.LineType.ForeColor = Color.DarkGray;

            this.ChartWebControl1.TextRenderingHint = System.Drawing.Text.TextRenderingHint.ClearTypeGridFit;

            this.ChartWebControl1.Legend.BackColor = Color.White;
            this.ChartWebControl1.Legend.BorderColor = Color.DarkGray;

            this.ChartWebControl1.Series[0].Style.Interior = new BrushInfo(GradientStyle.Horizontal, color1);
            this.ChartWebControl1.Series[1].Style.Interior = new BrushInfo(GradientStyle.Horizontal, color2);
            this.ChartWebControl1.Series[2].Style.Interior = new BrushInfo(GradientStyle.Horizontal, color3);
            this.ChartWebControl1.Series[0].Style.Border.Color = Color.FromArgb(112, 143, 171);
            this.ChartWebControl1.Series[1].Style.Border.Color = Color.FromArgb(112, 124, 40);
            this.ChartWebControl1.Series[2].Style.Border.Color = Color.FromArgb(206, 100, 30);
        }
        #endregion

        
    }
}
